### Enumeration

# AppStream SuggestedKind

#### Declaration

    enum AppStream.SuggestedKind

#### Description [src]

The suggested type.

#### Members

`AS_SUGGESTED_KIND_UNKNOWN`

  Unknown suggested kind.

  - Value: `0`
  - Available since: 1.0
`AS_SUGGESTED_KIND_UPSTREAM`

  Suggestions provided by the upstream project.

  - Value: `1`
  - Available since: 1.0
`AS_SUGGESTED_KIND_HEURISTIC`

  Suggestions provided by automatic heuristics.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_suggested_kind_from_string

Converts the text representation to an enumerated value.

###### as_suggested_kind_to_string

Converts the enumerated value to an text representation.